graphics_toolkit("fltk");

GoCs       = load ("GoCcoordinates.dat" );
GoCadends  = load ("GoC.ApicalDendrites.section.dat" );
GoCbdends  = load ("GoC.BasolateralDendrites.section.dat" );
GoCaxons   = load ("GoC.Axons.section.dat" );

n = 10;

nApical      = 2;
nBasolateral = 2;
nAxons       = 10;

apoints    = (size(GoCadends)(2)-1)/3
bpoints    = (size(GoCbdends)(2)-1)/3
axonpoints = (size(GoCaxons)(2)-1)/3

myGoCinds = randi(size(GoCs)(1),n,1);

myGoCcoords = [GoCs(myGoCinds,1) GoCs(myGoCinds,2) GoCs(myGoCinds,3)];

myGoCacoords    = GoCadends(myGoCinds,:);
myGoCbcoords    = GoCbdends(myGoCinds,:);
myGoCaxoncoords = GoCaxons(myGoCinds,:);

plot3 (GoCs(myGoCinds,1),GoCs(myGoCinds,2),GoCs(myGoCinds,3),'b*');
hold on;

for i=1:apoints
  x = myGoCacoords(:,(i-1)*3+2);
  y = myGoCacoords(:,(i-1)*3+3);
  z = myGoCacoords(:,(i-1)*3+4);
  plot3(x,y,z,'g.');
endfor       
for i=1:bpoints
  x = myGoCbcoords(:,(i-1)*3+2);
  y = myGoCbcoords(:,(i-1)*3+3);
  z = myGoCbcoords(:,(i-1)*3+4);
  plot3(x,y,z,'b.');
endfor       
for i=1:axonpoints
  x = myGoCaxoncoords(:,(i-1)*3+2);
  y = myGoCaxoncoords(:,(i-1)*3+3);
  z = myGoCaxoncoords(:,(i-1)*3+4);
  plot3(x,y,z,'k.');
endfor       

